# pgpPktLdata_s Struct Reference
[RPMPGP.]

5.8. More...

`#include <rpmio/rpmpgp.h>`

## Data Fields

uint8_t | format
uint8_t | filenamelen
uint8_t | filename [1]

## Detailed Description

5.8.

Marker Packet (Obsolete Literal Packet) (Tag 10)

An experimental version of PGP used this packet as the Literal packet, but no released version of PGP generated Literal packets with this tag. With PGP 5.x, this packet has been re-assigned and is reserved for use as the Marker packet.

The body of this packet consists of:

- The three octets 0x50, 0x47, 0x50 (which spell "PGP" in UTF-8).

Such a packet MUST be ignored when received. It may be placed at the beginning of a message that uses features not available in PGP 2.6.x in order to cause that version to report that newer software is necessary to process the message.

Definition at line 1015 of file rpmpgp.h.

## Field Documentation

uint8_t pgpPktLdata_s::format

Definition at line 1016 of file rpmpgp.h.

uint8_t pgpPktLdata_s::filenamelen

Definition at line 1017 of file rpmpgp.h.

uint8_t pgpPktLdata_s::filename[1]

Definition at line 1018 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h